<?php
if ( ! defined( 'MEDIAWIKI' ) )
	die( 1 );

require_once "MediaWiki_I18N.class.php";
require_once "SmartyTemplate.class.php";
require_once "SkinTemplate.php";

/**
 * SkinTemplateSmarty
 * 
 * Skinner functions for use with the Smarty templating system
 *
 * @author Mick van der Most van Spijk
 * @version 1.0.0
 */
class SkinTemplateSmarty extends SkinTemplate {
	/**
	 * Create the template engine object; we feed it a bunch of data
	 * and eventually it spits out some HTML. Should have interface
	 * roughly equivalent to PHPTAL 0.7.
	 *
	 * @param string $callback (or file)
	 * @param string $repository subdirectory where we keep template files
	 * @param string $cache_dir
	 * @return object
	 * @private
	 */
	protected function setupTemplate( $classname=false, $repository=false, $cache_dir=false ) {
		// the class is alwyas smartytemplate
		return new SmartyTemplate();
	}
}