<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html 
	xmlns="{$this->text('xhtmldefaultnamespace')}"
	{foreach from=$this->data.xhtmlnamespaces key=tag item=ns}
	xmlns:{$tag}={$ns}
	{/foreach}
	xml:lang="{$this->text('lang')}"
	lang="{$this->text('lang')}"
	dir="{$this->text('dir')}"
>
	
	<head>
		<meta http-equiv="Content-Type" content="{$this->text('mimetype')}; charset={$this->text('charset')}" />
		{$this->html('headlinks')}
		<title>{$this->text('pagetitle')}</title>
		<style type="text/css" media="screen, projection">
			@import "{$this->text('stylepath')}/common/shared.css?{$this->globals.wgStyleVersion}";
			@import "{$this->text('stylepath')}/{$this->text('stylename')}/main.css?{$this->globals.wgStyleVersion}";
		</style>
		<link 
			rel="stylesheet"
			type="text/css"
			{if empty($this->data.printable)}
			media="print"
			{/if}
			href="{$this->text('stylepath')}/common/commonPrint.css?{$this->globals.wgStyleVersion}" 
		/>
		<!--[if lt IE 5.5000]><style type="text/css">@import "{$this->text('stylepath')}/{$this->text('stylename')}/IE50Fixes.css?{$this->globals.wgStyleVersion}";</style><![endif]-->
		<!--[if IE 5.5000]><style type="text/css">@import "{$this->text('stylepath')}/{$this->text('stylename')}/IE55Fixes.css?{$this->globals.wgStyleVersion}";</style><![endif]-->
		<!--[if IE 6]><style type="text/css">@import "{$this->text('stylepath')}/{ $this->text('stylename') }/IE60Fixes.css?{$this->globals.wgStyleVersion }";</style><![endif]-->
		<!--[if IE 7]><style type="text/css">@import "{ $this->text('stylepath') }/{ $this->text('stylename') }/IE70Fixes.css?{$this->globals.wgStyleVersion }";</style><![endif]-->
		<!--[if lt IE 7]><script type="{ $this->text('jsmimetype') }" src="{ $this->text('stylepath') }/common/IEFixes.js?{$this->globals.wgStyleVersion }"></script>
		<meta http-equiv="imagetoolbar" content="no" /><![endif]-->
		
		{$this->makeGlobalVariablesScript($this->data)}

		<script type="{$this->text('jsmimetype')}" src="{$this->text('stylepath') }/common/wikibits.js?{$this->globals.wgStyleVersion}"><!-- wikibits js --></script>
		<!-- Head Scripts -->
		{$this->html('headscripts')}

{if !empty($this->data.jsvarurl)}
		<script type="{$this->text('jsmimetype')}" src="{$this->text('jsvarurl')}"><!-- site js --></script>
{/if}

{if !empty($this->data.pagecss)}
		<style type="text/css">{$this->html('pagecss')}</style>
{/if}

{if !empty($this->data.usercss)}
	<style type="text/css">{$this->html('usercss')}</style>
{/if}

{if !empty($this->data.userjs)}
		<script type="{$this->text('jsmimetype')}" src="{$this->text('userjs')}"></script>
{/if}

{if !empty($this->data.userjsprev)}
		<script type="{$this->text('jsmimetype')}">{$this->html('userjsprev')}</script>
{/if}

{if !empty($this->data.trackbackhtml)}
	{$this->data.trackbackhtml}
{/if}

	</head>
<body
	{if !empty($this->data.body_ondblclick)}
		ondblclick="{$this->text('body_ondblclick')}"
	{/if}

	{if !empty($this->data.body_onload)}
		onload="{$this->text('body_onload')}"
	{/if}
	
	class="mediawiki {$this->text('nsclass')} {$this->text('dir')} {$this->text('pageclass')}"
>
	
	<div id="globalWrapper">
		<div id="column-content">
	<div id="content">
		<a name="top" id="top"></a>
		{if !empty($this->data.sitenotice)}
			<div id="siteNotice">{$this->html('sitenotice')}</div>
		{/if}
		
		<h1 class="firstHeading">
			{if !empty($this->data.displaytitle)}
				{$this->html('title')}
			{else}
				{$this->text('title')}
			{/if}
		</h1>
		
		<div id="bodyContent">
			<h3 id="siteSub">{$this->msg('tagline')}</h3>
			
			<div id="contentSub">{$this->html('subtitle')}</div>
			
			{if !empty($this->data.undelete)}
				<div id="contentSub2">{$this->html('undelete')}</div>
			{/if}
			
			{if !empty($this->data.newtalk)}
				<div class="usermessage">{$this->html('newtalk')}</div>
			{/if}
			
			{if !empty($this->data.showjumplinks)}
				<div id="jump-to-nav">
					{$this->msg('jumpto')} <a href="#column-one">{$this->msg('jumptonavigation')}</a>, 
					<a href="#searchInput">{$this->msg('jumptosearch')}</a></div>
			{/if}
			
			<!-- start content -->
			{$this->html('bodytext')}
			
			{if !empty($this->data.catlinks)}
				<div id="catlinks">{$this->html('catlinks')}</div>
			{/if}
			<!-- end content -->
			
			<div class="visualClear"></div>
		</div>
	</div>

		</div>
		<div id="column-one">
	<div id="p-cactions" class="portlet">
		<h5>{$this->msg('views')}</h5>
		<div class="pBody">
			<ul>
			{foreach from=$this->data.content_actions key=key item=tab}
				 	<li id="ca-{$this->sanitizer_escapeId($key)}"
					 	{if isset($tab.class)} 
					 		class="{$tab.class|htmlspecialchars}"
					 	{/if}
					>
					{assign var="key2" value="ca-".$key}
						<a 
							href="{$tab.href|htmlspecialchars}"
							{$this->skin->tooltipAndAccesskey($key2)}
						>
						{$tab.text|htmlspecialchars}
						</a>
					</li>
			{/foreach}
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-personal">
		<h5>{$this->msg('personaltools')}</h5>
		<div class="pBody">
			<ul>
			{foreach from=$this->data.personal_urls key="key" item="item"}
				<li id="pt-{$this->sanitizer_escapeId($key)}"
				{if ($item.active)} class="active"
				{/if}
				>
				{assign var="key2" value="ca-".$key}

				<a href="{$item.href|htmlspecialchars}"
					{$this->skin->tooltipAndAccesskey($key2)}

				{if !empty($item.class)}
					class="{$item.class|htmlspecialchars}"
				{/if }
				>
				{$item.text|htmlspecialchars}
				</a></li>
			{/foreach}
			</ul>
		</div>
	</div>
	<div class="portlet" id="p-logo">
		<a 
			style="background-image: url({$this->text('logopath')});"
			href="{$this->data.nav_urls.mainpage.href|htmlspecialchars}"
			{$this->skin->tooltipAndAccesskey('n-mainpage')}
		></a>
	</div>
	<script type="{$this->text('jsmimetype')}"> if (window.isMSIE55) fixalpha(); </script>
	{foreach from=$this->data.sidebar key="bar" item="cont}
	<div class='portlet' id='p-{$this->sanitizer_escapeId($bar)}'
		{assign var="bar2" value="p-".$bar}
		{$this->skin->tooltip($bar2)}
	>
		{* <h5>{ $out = wfMsg( $bar ); if (wfEmptyMsg($bar, $out)) echo $bar; else echo $out; }</h5> *}
		<h5>
			{if wfEmptyMsg($bar, wfMsg($bar))}
				{$bar}
			{else}
				{$bar|wfMsg}
			{/if}
		</h5>
		<div class='pBody'>
			<ul>
				{foreach from=$cont key="key" item="val"}
				<li id="{$this->sanitizer_escapeId($val.id)}"
					{if '' != $val.active} 
						class="active" 
					{/if}>
					<a href="{$val.href|htmlspecialchars}"{$this->skin->tooltipAndAccesskey($val.id)}>
					{$val.text|htmlspecialchars}</a></li>
				{/foreach}
			</ul>
		</div>
	</div>
	{/foreach}

	<div id="p-search" class="portlet">
		<h5><label for="searchInput">{$this->msg('search')}</label></h5>
		<div id="searchBody" class="pBody">
			<form action="{$this->text('searchaction')}" id="searchform">
				<div>
		
					<input id="searchInput" name="search" type="text"{$this->skin->tooltipAndAccesskey('search')}
					{if !empty($this->data.search)}
						value="{$this->text('search')}"
					{/if}
					/>
				<input type='submit' name="go" class="searchButton" id="searchGoButton"	value="{$this->msg('searcharticle')}"{$this->skin->tooltipAndAccesskey('search-go')} />&nbsp;
				<input type='submit' name="fulltext" class="searchButton" id="mw-searchButton" value="{$this->msg('searchbutton')}"{$this->skin->tooltipAndAccesskey('search-fulltext')} />
			</div></form>
		</div>
	</div>
	<div class="portlet" id="p-tb">
		<h5>{$this->msg('toolbox')}</h5>
		<div class="pBody">
			<ul>
			{if !empty($this->data.notspecialpage)}
				<li id="t-whatlinkshere">
					<a href="{$this->data.nav_urls.whatlinkshere.href|htmlspecialchars}" {$this->skin->tooltipAndAccesskey('t-whatlinkshere')}>
						{$this->msg('whatlinkshere')}</a></li>
			{/if}

			{if !empty($this->data.nav_urls.recentchangeslinked)}
				<li id="t-recentchangeslinked">
					<a href="{$this->data.nav_urls.recentchangeslinked.href|htmlspecialchars}" {$this->skin->tooltipAndAccesskey('t-recentchangeslinked')}>
						{$this->msg('recentchangeslinked')}</a></li>
			{/if}

			{if !empty($this->data.nav_urls.trackbacklink)}
				<li id="t-trackbacklink">
					<a href="{$this->data.nav_urls.trackbacklink.href|htmlspecialchars}" {$this->skin->tooltipAndAccesskey('t-trackbacklink')}>
						{$this->msg('trackbacklink')}</a></li>
			{/if}

			{if !empty($this->data.feeds)}
				<li id="feedlinks">
					{foreach from=$this->data.feeds key="key" item="feed"}
						<span id="feed-{$this->sanitizer_escapeId($key)}">
							{assign var="feedkey" value="feed-".$key}
							<a href="{$feed.href|htmlspecialchars}"{$this->skin->tooltipAndAccesskey($feedkey)}>
								{$feed.text|htmlspecialchars}</a>&nbsp;</span>
					{/foreach}
				</li>
			{/if}

			{foreach from=$this->getSpecialPages() item="special"}
			{if !empty($this->data.nav_urls.$special)}
				<li id="t-{$special}">
					{assign var="t_special" value='t-'.$special}
					<a href="{$this->data.nav_urls.$special.href|htmlspecialchars}" {$this->skin->tooltipAndAccesskey($t_special)}>
						{$this->msg($special)}</a></li>
			{/if}
			{/foreach}

		{if !empty($this->data.nav_urls.print.href)}
				<li id="t-print">
					<a href="{$this->data.nav_urls.print.href|htmlspecialchars}"
				{$this->skin->tooltipAndAccesskey('t-print')}>{$this->msg('printableversion')}</a></li>
		{/if}

		{if !empty($this->data.nav_urls.permalink.href)}
			<li id="t-permalink">
				<a href="{$this->data.nav_urls.permalink.href|htmlspecialchars}"
					{$this->skin->tooltipAndAccesskey('t-permalink')}>
					{$this->msg('permalink')}</a></li>
		{elseif $this->data.nav_urls.permalink.href === ''}
				<li id="t-ispermalink"{$s->tooltip('t-ispermalink')}>
					{$this->msg('permalink')}</li>
		{/if}

		{php}
			wfRunHooks('MonoBookTemplateToolboxEnd', array(&$this ));
		{/php}
			</ul>
		</div>
	</div>

	{if !empty($this->data.language_urls)}
	<div id="p-lang" class="portlet">
		<h5>{$this->msg('otherlanguages')}</h5>

		<div class="pBody">
			<ul>
				{foreach from=$this->data.language_urls item="langlink"}
				<li class="{$langlink.class|htmlspecialchars}">
					<a href="{$langlink.href|htmlspecialchars}">
						{$langlink.text|htmlspecialchars}</a></li>
				{/foreach}
			</ul>
		</div>
	</div>
	{/if}

		</div><!-- end of the left (by default at least) column -->
			<div class="visualClear"></div>
			<div id="footer">
				<div id="f-poweredbyico"><a href="http://www.smarty.net/" target="_blank"><img src="http://www.smarty.net/gifs/smarty_icon.gif" alt="Smarty template engine" /></a></div>
		{if !empty($this->data.poweredbyico)}
				<div id="f-poweredbyico">{$this->html('poweredbyico')}</div>
		{/if}

		{if !empty($this->data.copyrightico)}
				<div id="f-copyrightico">{$this->html('copyrightico')}</div>
		{/if}

		{* // Generate additional footer links *}

			<ul id="f-list">

		{foreach from=$this->getFooterLinks() item="aLink"}
			{if !empty($this->data.$aLink) && isset($this->data.$aLink)}
				<li id="{$aLink}">{$this->html($aLink)}</li>
			{/if}
		{/foreach}

			</ul>
		</div>
		
	{php}
		$this->html('bottomscripts'); /* JS call to runBodyOnloadHook */ 
	{/php}
</div>

{php}
	$this->html('reporttime');
{/php}

{if ($this->data.debug)}
<!-- Debug output:
{php}
$this->text( 'debug' );
{/php}
-->
{/if}
</body></html>
